git-annex-registerurl(1)

NAME
git-annex-registerurl - registers an url for a key

SYNOPSIS
git annex registerurl [key url]

DESCRIPTION
This plumbing-level command can be used to register urls where a key can be downloaded from.

No verification is performed of the url's contents.

Normally the key is a git-annex formatted key. However, to make it easier to use this to add urls, if the key cannot be parsed as a key, and is a valid url, an URL key is constructed from the url.

Registering an url also makes git-annex treat the key as present in the special remote that claims it. (Usually the web special remote.)

OPTIONS

--remote=name|uuid

    Indicate that the url is expected to be claimed by the specified remote. If some other remote claims the url instead, registering it will fail.

    Note that --remote=web will prevent any other remote from claiming the url.

--batch
    In batch input mode, lines are read from stdin, and each line should contain a key and url, separated by a single space.

    For backwards compatability with old git-annex before this option was added, when no key and url pair are specified on the command line, batch input is used, the same as if the --batch option were specified. It is however recommended to use --batch.

-z  When in batch mode, the input is delimited by nulls instead of the usual newlines.

    (Note that for this to be used, you have to explicitly enable batch mode with --batch)

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-addurl(1)

git-annex-unregisterurl(1)

git-annex-reregisterurl(1)

AUTHOR
Joey Hess <id@joeyh.name>